Rysunek roboczy: Linia

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Line and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎

Draft Line.svg Rysunek roboczy: Linia

Lokalizacja w menu
Kreślenie → Linia
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
L I
Wprowadzono w wersji
0.7
Zobacz także
Polilinia

Opis

Polecenie Draft Line.svg Linia środowiska Rysunek Roboczy, tworzy linię prostą.

Linia środowiska Rysunek Roboczy jest w rzeczywistości polilinią z tylko dwoma punktami.

Draft Line example.jpg

Linia utworzona przez dwa punkty

Użycie

Zobacz również Tacka narzędziowa, Przyciąganie oraz Wiązania.

  1. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Draft Line.svg Utwórz linię ....
    • Wybierz z menu opcję Kreślenie → Draft Line.svg Linia opcję z menu.
    • Użyj skrótu klawiaturowego: L, a następnie I.
  2. Otworzy się panel zadań Linia. Aby uzyskać więcej informacji, zobacz Opcje.
  3. Wybierz pierwszy punkt w oknie widoku 3D, lub wpisz współrzędne i naciśnij przycisk Draft AddPoint.svg. Wprowadź punkt.
  4. Wybierz drugi punkt w oknie widoku 3D lub wpisz współrzędne i naciśnij przycisk Draft AddPoint.svg. Wprowadź punkt.

Opcje

Skróty klawiaturowe jedno znakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyślnymi.

  • Aby ręcznie wprowadzić współrzędne, wprowadź składowe X, Y i Z, i naciśnij klawisz Enter po każdej z nich. Możesz też nacisnąć przycisk Draft AddPoint.svg Wprowadź punkt, gdy masz już żądane wartości. Wskazane jest, aby przed wprowadzeniem współrzędnych wysunąć kursor poza okno widoku 3D.
  • Aby użyć współrzędnych biegunowych, wprowadź wartość dla Długości i wartość dla Kąta, a następnie naciśnij klawisz Enter po każdej z nich.
  • Zaznacz pole wyboru kąt, aby związać kursor do określonego kąta. Aby funkcja działała, pole wejściowe Długość musi przyjmować wartość niezerową.
  • Naciśnij klawisz H, aby zmienić aktywność z pola wprowadzania X na pole wprowadzania Długość i z powrotem. W zależności od pola wejściowego, które otrzymuje aktywność, pole wyboru Kąt jest zaznaczane lub odznaczane.
  • Naciśnij klawisz R lub kliknij pole wyboru Względnie, aby przełączyć tryb względny. Jeśli tryb względny jest włączony, współrzędne drugiego punktu odnoszą się do pierwszego punktu, w przeciwnym razie odnoszą się do początku układu współrzędnych.
  • Naciśnij klawisz G lub kliknij pole wyboru Globalnie, aby przełączyć tryb globalny. Jeśli tryb globalny jest włączony, współrzędne odnoszą się do głównego układu współrzędnych, w przeciwnym razie do układu współrzędnych płaszczyzny roboczej. dostępne w wersji 0.20
  • Naciśnij klawisz T lub kliknij pole wyboru Kontynuuj, aby przełączyć tryb kontynuacji. Jeśli tryb kontynuacji jest włączony, polecenie uruchomi się ponownie po zakończeniu, pozwalając Ci kontynuować tworzenie linii.
  • Przycisk Draft UndoLine.svg Cofnij nie ma zastosowania w tym poleceniu.
  • Naciśnij klawisz S, aby włączyć lub wyłączyć przyciąganie.
  • Naciśnij klawisz Esc lub przycisk Zamknij, aby przerwać polecenie.

Uwagi

Ustawienia

Zobacz także strony: Edytor ustawień oraz Rysunek Roboczy: Preferencje.

  • Aby zmienić liczbę miejsc po przecinku używanych do wprowadzania wartości współrzędnych długości i kątów: Edycja → Preferencje → Ogólne → Jednostki → Ustawienia jednostek → Liczba cyfr po przecinku.
  • Aby zmienić wartość początkową trybu wypełnienia: Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Wypełniaj obiekty powierzchniami, gdy tylko jest to możliwe. Zmiana trybu wypełnienia w panelu zadań spowoduje nadpisanie tych preferencji dla bieżącej sesji programu FreeCAD.
  • Jeśli opcja Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Używaj elementów pierwotnych, gdy jest to możliwe jest zaznaczona, polecenie utworzy Linia środowiska Część, zamiast środowiska Rysunek Roboczy.

Właściwości

Zobacz stronę polilinia.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy tworzenia skryptów FreeCAD.

Aby utworzyć linię użyj metody make_line modułu Rysunek Roboczy (dostępne w wersji 0.19). Ta metoda zastępuje przestarzałą metodę makeLine.

line = make_line(p1, p2)
line = make_line(LineSegment)
line = make_line(Shape)
  • Tworzy obiekt Line pomiędzy punktami p1 oraz p2, każdy zdefiniowany przez jego FreeCAD.Vector, z jednostkami w milimetrach.
  • Tworzy obiekt Line z Part.LineSegment.
  • Tworzy obiekt Line od pierwszego do ostatniego wierzchołka danego Shape.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p3, p4)

doc.recompute()